Skip to main content
PATCH
/
v1
/
company-wallets
/
{id}
Update company wallet
curl --request PATCH \
  --url https://api-fundflow-qa.venly.io/v1/company-wallets/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "description": "<string>"
}
'
{
  "success": true,
  "result": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>",
    "address": "<string>",
    "chain": "ETHEREUM",
    "verificationStatus": "PENDING",
    "verifiedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "version": 123
  }
}

Authorizations

Authorization
string
header
required

OAuth2 authentication via Venly Identity Platform

Path Parameters

id
string<uuid>
required

Unique identifier of the company wallet

Body

application/json

Request to update the description of an existing company wallet

version
integer<int64>
required

Version number for optimistic locking

description
string

Updated description for the wallet

Response

Company wallet successfully updated

success
boolean
default:true
result
object

Company cryptocurrency wallet details